<%- include('./include/header.ejs'); -%>

    <body class="hold-transition sidebar-mini">
        <%- include('./include/navBar.ejs'); -%>
            <%- include('./include/slideBar.ejs'); -%>
                <section class="content-wrapper">
                    <div class="container-fluid width: auto">
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-header">
                                        <button type="button" class="btn btn-primary float-right" id="addUser">Add user</button>
                                        <h3 class="card-title">User List</h3>
                                    </div>
                                    <!-- /.card-header -->
                                    <div class="card-body">
                                        <table id="dataTable" class="table table-bordered table-hover">
                                            <thead>
                                                <tr>
                                                    <th>firstName</th>
                                                    <th>lastName</th>
                                                    <th>email</th>
                                                    <th>mobileNo</th>
                                                    <th>action</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                </div>
                                <div class="float-right " >
                                    <a href="/admin/user/home/view" >Back to home >>></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <%- include('./include/footer.ejs'); -%>
                    <script>
                        $(document).ready(function () {
                            $("#addUser").click(function () {
                                window.location.href = "/admin/user/registration/view"
                            })
                            $('#dataTable').DataTable({
                                'responsive': true,
                                "autoWidth": false,
                                "paging": true,
                                "searching": true,
                                "ordering": true,
                                "serverSide": true,
                                "lengthChange": true,
                                ajax: {
                                    url: "/admin/user/list",
                                    method: 'get',
                                    dataType: 'json',
                                    headers: { "Authorization": "Bearer " + localStorage.getItem("token") },
                                    data: function (dataTable) {
                                        dataTable.perPage = dataTable.length
                                        if (dataTable.search) {
                                            dataTable.search = dataTable.search.value
                                        }
                                        if (dataTable.order.length > 0) {
                                            dataTable.sortType = dataTable.order[0].dir
                                            dataTable.sortField = dataTable.columns[dataTable.order[0].column].data
                                        }
                                        dataTable.page = (dataTable.start / dataTable.length) + 1
                                        return dataTable.data;
                                    },
                                    search: {
                                        return: true,
                                    },
                                },

                                "columns": [
                                    { "title": "firstName", 'data': 'firstName' },
                                    { "title": "lastName", 'data': 'lastName' },
                                    { "title": "email", 'data': 'email' },
                                    { "title": "mobileNo", 'data': 'mobileNo' },
                                    {
                                        'title': "action", "data": "_id",
                                        render: function (data) {
                                            return `<button style='font-size:12px;'  id='editButton' onclick='window.location=\"/admin/user/update/view/${data}\";'><span class='fas fa-edit' > </span></button>  <button style='font-size:12px; color:red;' id='deleteButton' onclick='deleteUser(\"${data}\");'><span class='fa fa-trash ' aria-hidden='true'></span></button>`;
                                        }
                                    },
                                ],
                                "order": [[1, "asc"]],
                                error: function (e) {
                                    console.log(e)
                                }
                            })
                        })

                        function deleteUser(userId, callback) {
                            $.ajax({
                                url: `/admin/user/delete/${userId}`,
                                method: 'delete',
                                dataType: 'json',
                                headers: { "Authorization": "Bearer " + localStorage.getItem("token") },
                                success: function (data) {
                                    if (data.responseCode == 200) {
                                        toastr.success(data.responseMessage)
                                        $('#dataTable').DataTable().ajax.reload()
                                    }
                                    if (data.responseCode == 400) {
                                        toastr.error(data.responseMessage)
                                    }
                                },
                                error: function (data) {
                                    console.log(data);
                                },

                            })

                        }

                    </script>
    </body>

    </html>